#!/bin/bash

if [ -n "$1" ]; then
    engine="$1"
else
    engine='inspec'
fi


cmd="${engine} check ./underlay"

tput setaf 3
    echo -e "\nExecuting: ${cmd}"
tput sgr0

${cmd}


cmd="${engine} vendor ./overlay --overwrite"

tput setaf 3
    echo -e "\nExecuting: ${cmd}"
tput sgr0

${cmd}


cmd="${engine} check ./overlay"

tput setaf 3
    echo -e "\nExecuting: ${cmd}"
tput sgr0

${cmd}


cmd="${engine} exec ./overlay --reporter cli json:results.json"

tput setaf 3
    echo -e "\nExecuting: ${cmd}"
tput sgr0

${cmd}

tput setaf 3
    echo '
Observed Result by Submitter:

* Number of Controls executed by InSpec: 2 of 2
* Number of Tests executed by InSpec: 2 of 2
* Tests executed successfully: 2 of 2
* Heimdall processes the "results.json" file correctly by combining the parts of each overlay and underlay test.
'
tput sgr0


rm -rf ./overlay/vendor
