#!/bin/bash

if [ -n "$1" ]; then
    engine="$1"
else
    engine='inspec'
fi


cmd="${engine} check ./underlay"

tput setaf 3
    echo -e "\nExecuting: ${cmd}"
tput sgr0

${cmd}


cmd="${engine} vendor ./overlay --overwrite"

tput setaf 3
    echo -e "\nExecuting: ${cmd}"
tput sgr0

${cmd}


cmd="${engine} check ./overlay"

tput setaf 3
    echo -e "\nExecuting: ${cmd}"
tput sgr0

${cmd}


cmd="${engine} exec ./overlay --reporter cli json:results.json"

tput setaf 3
    echo -e "\nExecuting: ${cmd}"
tput sgr0

${cmd}

tput setaf 3
    echo '
Observed Result by Submitter:

* Number of Controls executed by InSpec: 1 of 2
* Number of Tests executed by InSpec: 2 of 2 claimed, but is actually 1 of 2 since the second is a duplicate of the same test
* Tests executed successfully: 2 of 2 claimed, but is actually 1 of 2 since the second is a duplicate of the same test
* InSpec only executes the last defined Control.
* InSpec runs the code in the last defined "describe" block as many times as there are files in the "controls" directory. 
* Heimdall shows a single Control with Test duplicates; none of the information defined in the "underlay" profile is part of the Control.
'
tput sgr0


rm -rf ./overlay/vendor
